#![no_std]

mod constants;
mod registers;
pub mod standard;
mod conversion;

pub use crate::constants::adcon::{ClockOut, Gain, Sdcs};
pub use crate::constants::drate::DataRate;
pub use crate::constants::gpio::{DState, DioDirection};
pub use crate::constants::mux::MuxInput;
pub use crate::constants::status::{AutoCal, BitOrder, Buffer};
pub use crate::constants::*;
pub use crate::registers::*;
pub use crate::conversion::*;