#![no_std]

#[cfg(feature = "comms")]
pub mod comms;
pub mod spi;
#[cfg(feature = "stm32")]
pub mod stm32;

pub use physical::CriticalError;

pub const GPIO_ERROR_MSG: &'static str =
    "Driver does not support GPIO pins with expected failure states";
